<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout2}">
<head>
    <meta charset="UTF-8">
    <title>Sidebar Finance</title>
</head>
<body>
<div th:fragment="sidebar_finance">
    <aside class="bd-sidebar">
        <div class="shadow-sm p-3 mb-1 bg-body bg-opacity-50 border small rounded">
            <div class="row">
                <div class="col-md-2">
                    <i class="fa-regular fa-user fa-2x shadow-sm me-2" style="color: var(--bs-danger);"></i>
                </div>
                <div class="col-md-10">
                    <span class="text-start align-middle"><b th:text="${#authentication.principal.fullName}"> 10/10/1000</b> </span>
                </div>
            </div>
        </div>
        <div class="offcanvas-lg offcanvas-start bg-body bg-opacity-50" tabindex="-1" id="bdSidebar" aria-labelledby="bdSidebarOffcanvasLabel">
            <div class="offcanvas-header border-bottom">
                <h5 class="offcanvas-title" id="bdSidebarOffcanvasLabel">Browse docs</h5>
                <button type="button" class="btn-close" data-bs-dismiss="offcanvas" aria-label="Close" data-bs-target="#bdSidebar"></button>
            </div>

            <div class="offcanvas-body shadow-sm p-3 mb-3 bg-body small border rounded">
                <nav class="bd-links w-100" id="bd-docs-nav" aria-label="Docs navigation">
                    <ul class="bd-links-nav list-unstyled mb-0 pb-3 pb-md-2 pe-lg-2">
                        <li class="bd-links-group py-2">
                            <strong class="bd-links-heading d-flex w-100 align-items-center fw-semibold">
                                <svg class="bi me-2" style="color: var(--bs-blue);" aria-hidden="true"><use xlink:href="#ui-radios"></use></svg>
                                Income
                            </strong>

                            <ul class="list-unstyled fw-normal pb-2 small">
                                <li><a sec:authorize="hasAuthority('VIEW_KEUANGAN') or hasAuthority('VIEW_REVENUES') or hasAuthority('VIEW_WAREK2')" th:href="@{/transaksi/penerimaanreal}" th:class="${'bd-links-link d-inline-block rounded ' + penerimaanreal}">Cash Revenue</a></li>
                                <li><a sec:authorize="hasAuthority('VIEW_KEUANGAN') or hasAuthority('VIEW_WAREK2')" th:href="@{/transaksi/kaskecil}" th:class="${'bd-links-link d-inline-block rounded ' + saldobank}">Bank Account</a></li>
                                <li><a sec:authorize="hasAuthority('SALDO_BANK')" th:href="@{/transaksi/saldo_bank}" th:class="${'bd-links-link d-inline-block rounded ' + saldo_bank}">Bank Saldo</a></li>
                                <li><a sec:authorize="hasAuthority('VIEW_WAREK2')" th:href="@{/transaksi/pendapatan_terkait}" th:class="${'bd-links-link d-inline-block rounded ' + pendapatan_terkait}">Related Transaction</a></li>
                                <li><a sec:authorize="hasAuthority('VIEW_WAREK2')" th:href="@{/reports/monthly_realized}" th:class="${'bd-links-link d-inline-block rounded ' + realisasi_bulanan}">Monthly Realized</a></li>
                            </ul>
                        </li>
                    </ul>
                </nav>
            </div>
        </div>
    </aside>
</div>
</body>
</html>